#ifndef __SINGLETON_H__RINDRO_
#define __SINGLETON_H__RINDRO_

//饿汉模式
#define RINDRO_SINGLETON_DEFINE_S(TypeName)   \
	static TypeName *Get()                    \
	{                                         \
		static TypeName type_rindro_instance; \
		return &type_rindro_instance;         \
	}                                         \
                                              \
	TypeName(const TypeName &) = delete;      \
	TypeName &operator=(const TypeName &) = delete

#endif // __SINGLETON_H__
